package domain


type AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo struct {
    /*
        条码     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        高     */
    Height  *string `json:"height,omitempty" `

    /*
        长     */
    Length  *string `json:"length,omitempty" `

    /*
        是否主条码     */
    MainFlag  *bool `json:"main_flag,omitempty" `

    /*
        规格     */
    SpuSpec  *string `json:"spu_spec,omitempty" `

    /*
        单位     */
    Unit  *string `json:"unit,omitempty" `

    /*
        重量，单位g     */
    Weight  *int64 `json:"weight,omitempty" `

    /*
        宽     */
    Width  *string `json:"width,omitempty" `

}

func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetBarcode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Barcode = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetHeight(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Height = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetLength(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Length = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetMainFlag(v bool) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.MainFlag = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetSpuSpec(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.SpuSpec = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetUnit(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Unit = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetWeight(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Weight = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) SetWidth(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo {
    s.Width = &v
    return s
}
